- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage data resources and permissions
- /
- Paged get permission space list
¶ Get the permission space list by page
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Get the permission space list by page
¶ Method Name
ManagementClient.listPermissionNamespaces
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| page | number | No | 1 | Current page number, starting from 1 | 1 |
| limit | number | No | 10 | The maximum number of pages per page cannot exceed 50, and the default value is 10 | 10 |
| query | string | no | - | permission space name | examplePermissionNamespace |
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.ListPermissionNamespacesDto;
import cn.authing.sdk.java.dto.PermissionNamespaceListPaginatedRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class ListPermissionNamespacesTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
ListPermissionNamespacesDto request = new ListPermissionNamespacesDto();
request.setPage(1);
request.setLimit(10);
request.setQuery("Example Permission Space");
PermissionNamespaceListPaginatedRespDto response = client.listPermissionNamespaces(request);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: PermissionNamespaceListPaginatedRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | PermissionNamespaceListPagingDto | Data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"list": {
"name": "Example permission space Name",
"code": "examplePermissionNamespace",
"description": "dd8d7stf44",
"status": 1
}
}
}
¶ Data Structure
¶ PermissionNamespaceListPagingDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| totalCount | number | yes | Total number of records | |
| list | array | yes | Response data nested type:PermissionNamespacesListRespDto。 |
¶ PermissionNamespacesListRespDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| name | string | yes | Permission space Name | Example permission space Name |
| code | string | yes | Permission space Code | examplePermissionNamespace |
| description | string | no | Permission space description | dd8d7stf44 |
| status | number | no | Permission space status: 0 -> closed, 1 -> open | 1 |
